Mailinglist Archive: opensuse-factory (454 mails)

< Previous Next >
Re: [opensuse-factory] OBS: unresolvable: nothing provides librpm.so.7()(64bit) needed by rpmlint-mini
On Fri, 2017-12-22 at 18:34 +0100, Martin Wilck wrote:
I've just recently encountered this problem, what can / should I do
about it?


$ grep rpmlint /tmp/buildinfo.txt
<error>unresolvable: nothing provides librpm.so.7()(64bit) needed by
rpmlint-mini, nothing provides librpmio.so.7()(64bit) needed by
rpmlint-mini</error>

It depends - are you building against pure Tumbleweed? Then I'm afraid
I don't have an explanation for this, as the rpm version did not change
in a while now (4.13.0.1 landed in March 2017) - but apparently OBS did
no longer 'remember' how it can satisfy librpm.so.7() (which comes from
the rpm package itself). Is this something that is still visible as a
problem now or did the issue vanish already again?


If there are other repositories involved (most likely Base:System) then
there is reason to it, as librpm.so.7 no longer exists there, but moved
to .so.8

Cheers
Dominique
< Previous Next >
Follow Ups
References